Subject: bug#14461: 24.3.50; bad display for 'space' + (U+0336) unicode combination

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Aug 2019 17:14:45 +0300

> From: Stephen Berman <[email-masked]>
> Cc: Kenichi Handa <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sat, 17 Aug 2019 15:50:20 +0200
> 
> Hm, I chose COMBINING ACUTE ACCENT and COMBINING CIRCUMFLEX ACCENT more
> or less at random, but I do indeed see the sequence 'aU+0301U+0302' as
> two grapheme clusters (also with -Q): 'a' with an acute accent over it
> followed by a circumflex.  In contrast, the sequences 'aU+0301U+0317'
> and 'aU+0302U+0317' are displayed as single grapheme clusters (317 is
> COMBINING ACUTE ACCENT BELOW).  I also noticed that the seqence
> '-U+0301U+0302' is displayed as a dash followed by a single grapheme
> cluster of an acute accent and a circumflex; this holds for all
> nonalphabetic ASCII characters I tried and for some but not all
> non-ASCII alphabetic characters.  So there seems to be some
> inconsistency in the display of combining characters.

Is this in Emacs 27 built with HarfBuzz support?  If so, I think this
just means that the default font you use doesn't support these
combining accents, because on my system I see a single grapheme
cluster in both of the above cases, when I select a suitable font.

You can tell which font is used for each character by typing
"C-u C-x =" on each character/grapheme cluster.